Conric005

[Solved] Ever since buying Making History I haven't been able to load the game, Help!

Recommended Posts

Posted (edited)

Ever since buying and installing Making History I haven't been able to play KSP. It would load up to a certain point and just stop. I've tried verifying the integrity of game files, but it always says one file was going to be acquired but it doesn't do anything. I've tried uninstalling making history and reinstalling making history, but it still stops. I have yet to try backing up my saves and reinstalling KSP. If it helps, I play with mods and haven't had a problem playing with them until I got Making History.

 I'll also be posting this on r/KerbalSpaceProgram, If it is solved I'll mark this as solved.

Edited by Conric005
I'll also be posting this on r/KerbalSpaceProgram, If it is solved I'll mark this as solved.

Share this post


Link to post
Share on other sites

Sorry that no-one has recognized this symptom.
The text file 'KSP.log' alongside the KSP executable might reveal the cause of the problem to you.  (That file is too big to post to this forum, but sometimes users post it somewhere else and link to it, to get help debugging problems.)

My only guess is that your versions of KSP and making history do not match.  For example Making History 1.7.0 will only work with KSP 1.7.0.   The versions are not obvious in the installed directories, but you can see them in the filenames of the downloaded packages (if you download from the KSPstore).

The 'verifying integrity' step is something that Steam users talk about, so maybe a Steam user will recognize the symptom.

Share this post


Link to post
Share on other sites
3 hours ago, OHara said:

Sorry that no-one has recognized this symptom.
The text file 'KSP.log' alongside the KSP executable might reveal the cause of the problem to you.  (That file is too big to post to this forum, but sometimes users post it somewhere else and link to it, to get help debugging problems.)

My only guess is that your versions of KSP and making history do not match.  For example Making History 1.7.0 will only work with KSP 1.7.0.   The versions are not obvious in the installed directories, but you can see them in the filenames of the downloaded packages (if you download from the KSPstore).

The 'verifying integrity' step is something that Steam users talk about, so maybe a Steam user will recognize the symptom.

i had already tried verifying integrity, but i realized that some of my modd were still on 1.4, so i updated them and it ended up working.

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.